import sys
import dumpParser


def idString(vect):
    ret = ""
    for x in vect :
       if ret=="": 
            ret = `x`
       else :
            ret = ret+ "a" +`x`
    
    return ret;

def labelString(vect):
    ret = ""
    for x in vect :
       if ret=="": 
            ret = `x`
       else :
            ret = ret+ "," +`x`
    
    return ret;
    
class DOTGenerator:
    out = None
    
    def __init__(self,output):
        self.out = file(output,"w")
        
    def initialCode(self):
        self.out.write("digraph G{\n")

    def nodeOut(self,id):
        self.out.write("Node_"+idString(id)+" [label=\""+labelString(id)+"\"];\n")

    def edgeOut(self,src,trg):
        self.out.write("Node_"+idString(src)+"->"+"Node_"+idString(trg)+";\n")

    def terminalCode(self):
        self.out.write("}")

generators = []
generators.append(DOTGenerator(sys.argv[2]))

dp = dumpParser.DumpParser(generators)
input = file(sys.argv[1])

dp.parse(input)


